AltitudeModeEnum (KML Framework API)
Keywords: org.boehn.kmlframework.kml.AltitudeModeEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.kml
Enum AltitudeModeEnum

    java.lang.Object
      java.lang.Enum<AltitudeModeEnum>
          org.boehn.kmlframework.kml.AltitudeModeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AltitudeModeEnum>

    public enum AltitudeModeEnum

extends java.lang.Enum<AltitudeModeEnum>

Enum Constant Summary
`absolute`
`clampToGround`
`relativeToGround`

Method Summary
`static AltitudeModeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AltitudeModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### relativeToGround

    public static final AltitudeModeEnum relativeToGround

### absolute

    public static final AltitudeModeEnum absolute

### clampToGround

    public static final AltitudeModeEnum clampToGround

Method Detail

### values

    public static final AltitudeModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AltitudeModeEnum c : AltitudeModeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AltitudeModeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD